Package org.apache.commons.collections4.bidimap

# Class DualTreeBidiMap.ViewMap<K,V>

java.lang.Object
org.apache.commons.collections4.map.AbstractIterableMap<K,V>
org.apache.commons.collections4.map.AbstractMapDecorator<K,V>
org.apache.commons.collections4.map.AbstractSortedMapDecorator<K,V>
org.apache.commons.collections4.bidimap.DualTreeBidiMap.ViewMap<K,V>

Type Parameters:
  `K` - The type of the keys.
  `V` - The type of the values.

All Implemented Interfaces:
  `Map<K,V>`, `SortedMap<K,V>`, `Get<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `IterableSortedMap<K,V>`, `OrderedMap<K,V>`, `Put<K,V>`

Enclosing class:
  `DualTreeBidiMap<K,V>`

protected static class DualTreeBidiMap.ViewMap<K,V> extends AbstractSortedMapDecorator<K,V>
Internal sorted map view.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.collections4.map.AbstractSortedMapDecorator

  `AbstractSortedMapDecorator.SortedMapIterator<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ViewMap(DualTreeBidiMap<K,V> bidi, SortedMap<K,V> sm)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Removes all of the mappings from this map.
  `boolean`
  `containsValue(Object value)`
  Tests for presence of a given value.
  `protected DualTreeBidiMap<K,V>`
  `decorated()`
  Gets the map being decorated.
  `SortedMap<K,V>`
  `headMap(K toKey)`
  `K`
  `nextKey(K key)`
  Gets the next key after the one specified.
  `K`
  `previousKey(K key)`
  Gets the previous key before the one specified.
  `SortedMap<K,V>`
  `subMap(K fromKey, K toKey)`
  `SortedMap<K,V>`
  `tailMap(K fromKey)`

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractSortedMapDecorator

  `comparator, firstKey, lastKey, mapIterator`

  ### Methods inherited from class org.apache.commons.collections4.map.AbstractMapDecorator

  `containsKey, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.collections4.Get

  `containsKey, entrySet, get, isEmpty, keySet, remove, size, values`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, containsKey, equals, forEach, get, getOrDefault, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size`

  ### Methods inherited from interface org.apache.commons.collections4.Put

  `put, putAll`

  ### Methods inherited from interface java.util.SortedMap

  `entrySet, keySet, values`

- ## Constructor Details

  - ### ViewMap

    protected ViewMap(DualTreeBidiMap<K,V> bidi, SortedMap<K,V> sm)
    Constructs a new instance.
    Parameters:
      `bidi` - The parent bidi map
      `sm` - The subMap sorted map

- ## Method Details

  - ### clear

    public void clear()
    Description copied from interface: `Put`
    Removes all of the mappings from this map.
    Specified by:
      `clear` in interface `Map<K,V>`
    Specified by:
      `clear` in interface `Put<K,V>`
    Overrides:
      `clear` in class `AbstractMapDecorator<K,V>`
    See Also:
      - `Map.clear()`

  - ### containsValue

    public boolean containsValue(Object value)
    Description copied from interface: `Get`
    Tests for presence of a given value.
    Specified by:
      `containsValue` in interface `Get<K,V>`
    Specified by:
      `containsValue` in interface `Map<K,V>`
    Overrides:
      `containsValue` in class `AbstractMapDecorator<K,V>`
    Parameters:
      `value` - value whose presence in this map is to be tested.
    Returns:
      `true` if this map maps one or more keys to the specified value.
    See Also:
      - `Map.containsValue(Object)`

  - ### decorated

    protected DualTreeBidiMap<K,V> decorated()
    Description copied from class: `AbstractSortedMapDecorator`
    Gets the map being decorated.
    Overrides:
      `decorated` in class `AbstractSortedMapDecorator<K,V>`
    Returns:
      The decorated map

  - ### headMap

    public SortedMap<K,V> headMap(K toKey)
    Specified by:
      `headMap` in interface `SortedMap<K,V>`
    Overrides:
      `headMap` in class `AbstractSortedMapDecorator<K,V>`

  - ### nextKey

    public K nextKey(K key)
    Description copied from interface: `OrderedMap`
    Gets the next key after the one specified.
    Specified by:
      `nextKey` in interface `OrderedMap<K,V>`
    Overrides:
      `nextKey` in class `AbstractSortedMapDecorator<K,V>`
    Parameters:
      `key` - The key to search for next from.
    Returns:
      The next key, null if no match or at end.

  - ### previousKey

    public K previousKey(K key)
    Description copied from interface: `OrderedMap`
    Gets the previous key before the one specified.
    Specified by:
      `previousKey` in interface `OrderedMap<K,V>`
    Overrides:
      `previousKey` in class `AbstractSortedMapDecorator<K,V>`
    Parameters:
      `key` - The key to search for previous from.
    Returns:
      The previous key, null if no match or at start.

  - ### subMap

    public SortedMap<K,V> subMap(K fromKey, K toKey)
    Specified by:
      `subMap` in interface `SortedMap<K,V>`
    Overrides:
      `subMap` in class `AbstractSortedMapDecorator<K,V>`

  - ### tailMap

    public SortedMap<K,V> tailMap(K fromKey)
    Specified by:
      `tailMap` in interface `SortedMap<K,V>`
    Overrides:
      `tailMap` in class `AbstractSortedMapDecorator<K,V>`